Bug 192592 - python installed with active assertions
Summary: python installed with active assertions
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-21 14:24 UTC by Sven Suursoho
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.4.3-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 20:02:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
App to trigger bug related crash (783 bytes, text/plain)
2006-05-21 14:24 UTC, Sven Suursoho
no flags Details

Description Sven Suursoho 2006-05-21 14:24:18 UTC
Description of problem:
Building python's RPM package doesn't honore ./configure calculated compiler 
options.
Although configured without debugging flags, rpmbuild manages to loose -DNDEBUG 
option from compiler's command line i.e. in production version of python, there 
are still active assertions.

It wouldn't be much a problem (except performance, of course), but it overlaps 
with python's bug that can cause python extension modules to crash. See http://
sourceforge.net/tracker/index.php?func=detail&aid=1483133&group_id=5470&atid=
105470


Version-Release number of selected component (if applicable):
2.4.*


Steps to Reproduce:
(a) see http://sourceforge.net/tracker/index.php?func=detail&aid=1483133&group_
id=5470&atid=105470

(b)
1. Build attached application
$ cc try.c -o try -I /usr/include/python2.4 -lpython2.4
2. Run
$ ./try
try: Objects/genobject.c:53: gen_iternext: Assertion `f->f_back != ((void *)0)' 
failed.
Aborted

Comment 1 Sven Suursoho 2006-05-21 14:24:18 UTC
Created attachment 129781 [details]
App to trigger bug related crash

Comment 2 Sven Suursoho 2006-05-25 18:38:47 UTC
This bug is blocking development of PostgreSQL stored procedure language PL/
Python. See http://archives.postgresql.org/pgsql-patches/2006-04/msg00264.php




Comment 3 Fedora Update System 2006-06-26 19:32:56 UTC
python-2.4.3-8.FC4 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Sven Suursoho 2006-06-27 10:40:58 UTC
Everything is ok now.
Thanks


Note You need to log in before you can comment on or make changes to this bug.